Author Topic: Noobies of the noobe... Trying to run KiCAD in OSX.  (Read 9182 times)

0 Members and 1 Guest are viewing this topic.

Offline fivefish

  • Frequent Contributor
  • **
  • Posts: 439
  • Country: us
Noobies of the noobe... Trying to run KiCAD in OSX.
« on: September 03, 2015, 01:46:26 am »
I'm a long time Eagle user and trying to investigate switching to Kicad.

I'm getting an error and hopefully someone can point me in right direction.

Installed kicad OSX version.
- kicad runs
- bitmap2component runs
- gerbview runs
- pcb_calculator runs
- pl_editor runs
- eeschema runs

BUT pcbnew fails with an error message

20:45:28: dlopen(/Applications/Kicad/kicad.app/Contents/PlugIns/_pcbnew.kiface, 10): Symbol not found: ___sincos_stret
  Referenced from: /Applications/Kicad/kicad.app/Contents/Applications/pcbnew.app/Contents/MacOS/../Frameworks/libcairo.2.dylib
  Expected in: /usr/lib/libSystem.B.dylib
 in /Applications/Kicad/kicad.app/Contents/Applications/pcbnew.app/Contents/MacOS/../Frameworks/libcairo.2.dylib
20:45:28: IO_ERROR: Fatal Installation Bug. File:
'/Applications/Kicad/kicad.app/Contents/PlugIns/_pcbnew.kiface'
could not be loaded
Perhaps a wxWidgets shared (.dll or .so) file is missing.
From command line: argv[0]:
'/Applications/Kicad/kicad.app/Contents/Applications/pcbnew.app/Contents/MacOS/pcbnew'

from /Users/jenkins/remoteroot/workspace/KiCadBuildMac/kicad/common/kiway.cpp : KiFACE() : line 225


-- I'm using the latest nightly build for OSX version

Any hints?
 

Offline hendorog

  • Super Contributor
  • ***
  • Posts: 1439
  • Country: nz
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #1 on: September 03, 2015, 02:42:22 am »
Maybe try this nightly version - I just checked it and it seems to run at least:

https://www.dropbox.com/s/2k70bcan0w11dad/Screenshot%202015-09-03%2014.40.35.png?dl=0

I have no idea if anything else is broken though. I'm using Eagle too and wondering if KiCad is an option.
 

Offline dave_k

  • Frequent Contributor
  • **
  • Posts: 263
  • Country: au
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #2 on: September 03, 2015, 02:54:08 am »

20:45:28: dlopen(/Applications/Kicad/kicad.app/Contents/PlugIns/_pcbnew.kiface, 10): Symbol not found: ___sincos_stret
  Referenced from: /Applications/Kicad/kicad.app/Contents/Applications/pcbnew.app/Contents/MacOS/../Frameworks/libcairo.2.dylib
  Expected in: /usr/lib/libSystem.B.dylib
 in /Applications/Kicad/kicad.app/Contents/Applications/pcbnew.app/Contents/MacOS/../Frameworks/libcairo.2.dylib
20:45:28: IO_ERROR: Fatal Installation Bug. File:
'/Applications/Kicad/kicad.app/Contents/PlugIns/_pcbnew.kiface'
could not be loaded
Perhaps a wxWidgets shared (.dll or .so) file is missing.
From command line: argv[0]:
'/Applications/Kicad/kicad.app/Contents/Applications/pcbnew.app/Contents/MacOS/pcbnew'

from /Users/jenkins/remoteroot/workspace/KiCadBuildMac/kicad/common/kiway.cpp : KiFACE() : line 225


-- I'm using the latest nightly build for OSX version

Any hints?

I've highlighted the hint for you....  :palm:
 

Offline fivefish

  • Frequent Contributor
  • **
  • Posts: 439
  • Country: us
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #3 on: September 03, 2015, 03:31:29 am »
dave_k, I'm running OSX.  It doesn't use .dll files.    :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm:  Fucking can't read.

hendorog: Thanks for the tip. Tried the 8/27 build, same problem. 
What OSX are you running?  I'm still on 10.8.4.

 

Offline fivefish

  • Frequent Contributor
  • **
  • Posts: 439
  • Country: us
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #4 on: September 03, 2015, 03:37:42 am »
Looks like other people are encountering the same exact problem.
The daily build binaries compiled in 10.10 errors out when tried to run in 10.9 for example.

I'll try to compile this in 10.8
 

Offline dave_k

  • Frequent Contributor
  • **
  • Posts: 263
  • Country: au
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #5 on: September 03, 2015, 04:33:54 am »
dave_k, I'm running OSX.  It doesn't use .dll files.   :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm: :palm:  Fucking can't read.

hendorog: Thanks for the tip. Tried the 8/27 build, same problem. 
What OSX are you running?  I'm still on 10.8.4.

No .. OSX like other UNIX systems does use .so files, so the error message is still a valid to your installation.
 

Offline hendorog

  • Super Contributor
  • ***
  • Posts: 1439
  • Country: nz
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #6 on: September 03, 2015, 05:37:17 am »

hendorog: Thanks for the tip. Tried the 8/27 build, same problem. 
What OSX are you running?  I'm still on 10.8.4.

No .. OSX like other UNIX systems does use .so files, so the error message is still a valid to your installation.

I'm on 10.10.2, perhaps thats the difference.
 

Offline fivefish

  • Frequent Contributor
  • **
  • Posts: 439
  • Country: us
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #7 on: September 03, 2015, 05:37:32 am »
I had to compile Kicad to run in my old 10.8.4. 
The problem seems to be dependencies. I think the official binaries on the kicad site were compiled using a 10.10 machine, so if anyone tries to download and run it  on a 10.8 or 10.9, they get the error.

Here are the steps I did to fix the problem: (at least worked in my case)
I first updated my brew, it's been a long time since I last did this.
~ $ brew update

I read a thread about cairo needed, so I installed cairo
/usr/local/Cellar/cairo/1.14.2_1/bin/cairo-trace
/usr/local/Cellar/cairo/1.14.2_1/bin/cairo-sphinx
/usr/local/Cellar/cairo/1.14.2_1/include/cairo/ (14 files)
/usr/local/Cellar/cairo/1.14.2_1/lib/libcairo-gobject.2.dylib
/usr/local/Cellar/cairo/1.14.2_1/lib/libcairo-script-interpreter.2.dylib
/usr/local/Cellar/cairo/1.14.2_1/lib/libcairo.2.dylib
/usr/local/Cellar/cairo/1.14.2_1/lib/cairo/ (9 files)
/usr/local/Cellar/cairo/1.14.2_1/lib/pkgconfig/ (13 files)
/usr/local/Cellar/cairo/1.14.2_1/lib/ (6 other files)
/usr/local/Cellar/cairo/1.14.2_1/share/gtk-doc/ (64 files)

But that didn't fix the problem.

Okay, so let's re-compile kicad to run on my 10.8.4 machine.

~ $ brew tap metacollin/kicad
Cloning into '/usr/local/Library/Taps/metacollin/homebrew-kicad'...
remote: Counting objects: 8, done.
remote: Compressing objects: 100% (8/8), done.
remote: Total 8 (delta 0), reused 4 (delta 0), pack-reused 0
Unpacking objects: 100% (8/8), done.
Checking connectivity... done
Tapped 4 formulae (24 files, 140K)

Then do a

~ $ brew install kicad --HEAD
==> Installing kicad from metacollin/homebrew-kicad
==> Installing dependencies for metacollin/kicad/kicad: bazaar, cmake, swig, glew, wxkicad, b
==> Installing metacollin/kicad/kicad dependency: bazaar
==> Downloading https://homebrew.bintray.com/bottles/bazaar-2.6.0_2.mountain_lion.bottle.tar.gz

//// CUT FOR BREVITY

Updating /Library/Caches/Homebrew/kicad--git
==> Checking out branch master
==> cmake ../ -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS_RELEASE= -DCMAKE_INSTALL_PREFIX=/usr/local/
==> make
 ==> make install
==> Caveats
Kicad Extras can be found at http://downloads.kicad-pcb.org/osx/

.app bundles were installed.
==> Summary
 /usr/local/Cellar/kicad/HEAD: 202 files, 67M, built in 28.5 minutes


Then do a final

~ $ brew linkapps kicad
Linking /usr/local/opt/kicad/bitmap2component.app to /Applications.
Linking /usr/local/opt/kicad/eeschema.app to /Applications.
Linking /usr/local/opt/kicad/gerbview.app to /Applications.
Linking /usr/local/opt/kicad/kicad.app to /Applications.
Linking /usr/local/opt/kicad/pcb_calculator.app to /Applications.
Linking /usr/local/opt/kicad/pcbnew.app to /Applications.
Linking /usr/local/opt/kicad/pl_editor.app to /Applications.

My kicad files are stored not in /Applications but in /usr/local so I only have the link files under /Applications/kicad

And voila! 

Hope this post can be of help to others encountering the same problem.
 

Offline andersm

  • Super Contributor
  • ***
  • Posts: 1050
  • Country: fi
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #8 on: September 12, 2015, 11:17:21 pm »
No .. OSX like other UNIX systems does use .so files, so the error message is still a valid to your installation.
On OS X they're dylibs.

Offline bson

  • Supporter
  • ****
  • Posts: 1553
  • Country: us
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #9 on: October 07, 2015, 10:25:06 am »
Here's the problem:

Quote
Symbol not found: ___sincos_stret
  Referenced from: /Applications/Kicad/kicad.app/Contents/Applications/pcbnew.app/Contents/MacOS/../Frameworks/libcairo.2.dylib
  Expected in: /usr/lib/libSystem.B.dylib

It's due to OS X 10.8 not having the symbol ___sincos_stret in libSystem.  Perhaps it's time to upgrade?
 

Offline fivefish

  • Frequent Contributor
  • **
  • Posts: 439
  • Country: us
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #10 on: October 19, 2015, 01:18:13 am »
Quote
Perhaps it's time to upgrade?
Yeah I know, but If I upgrade to 10.9 or 10.10, I have to upgrade a whole lot of other software (Parallels for example) on my machine.  But eventually, I will... my Adobe Cloud software is now 1 version behind. This is my production machine used for a lot of business and work stuff, so I'm reluctant to upgrade --  "why fix it when it ain't broke"?

I've dealt with this problem by recompiling kiCad on my 10.8 machine isntead of downloading pre-compiled binaries.  I just do a:

brew reinstall kiCad --HEAD

wait a few minutes, and voila... the latest kiCad nightly build running on my machine.
 

Offline easyw

  • Contributor
  • Posts: 22
  • Country: it
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #11 on: October 19, 2015, 07:40:32 am »
Quote
Perhaps it's time to upgrade?
Yeah I know, but If I upgrade to 10.9 or 10.10, I have to upgrade a whole lot of other software (Parallels for example) on my machine.  But eventually, I will... my Adobe Cloud software is now 1 version behind. This is my production machine used for a lot of business and work stuff, so I'm reluctant to upgrade --  "why fix it when it ain't broke"?

I've dealt with this problem by recompiling kiCad on my 10.8 machine isntead of downloading pre-compiled binaries.  I just do a:

brew reinstall kiCad --HEAD

wait a few minutes, and voila... the latest kiCad nightly build running on my machine.
Hi fivefish,
thank you for the tips... I'll try to build following your advises...
I have the same prob of you in Lion 10.7.5 as I reported at launchpad, but I got no solution there...
https://bugs.launchpad.net/kicad/+bug/1497388?comments=all
Maurice
 

Offline fivefish

  • Frequent Contributor
  • **
  • Posts: 439
  • Country: us
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #12 on: October 19, 2015, 05:03:23 pm »
I have homebrew on my OSX.  The trick is letting homebrew do the installation (so it takes care of all dependencies).

In your case, try installing homebrew first if you haven't got one.

ruby -e "$(curl -fsSL https://raw.github.com/mxcl/homebrew/go)"

then install kicad

brew tap shaneburrell/homebrew-kicad
brew install kicad


After kiCad is installed, you can update to latest build using
brew reinstall kiCad --HEAD
 

Offline easyw

  • Contributor
  • Posts: 22
  • Country: it
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #13 on: October 20, 2015, 07:23:07 pm »
thank you @fivefish...
that procedure worked also in 10.7.5 OSX Lion  :)

Maurice
 

Offline fivefish

  • Frequent Contributor
  • **
  • Posts: 439
  • Country: us
Re: Noobies of the noobe... Trying to run KiCAD in OSX.
« Reply #14 on: October 21, 2015, 03:45:24 pm »
Awesome!

Hey, I made a Facebook group where I post new things I learn about kiCad... mainly as future reminders for myself, but may be useful to other people too. Feel free to join and share your discoveries.
https://www.facebook.com/groups/158660367806325/
 


Share me

Digg  Facebook  SlashDot  Delicious  Technorati  Twitter  Google  Yahoo
Smf